# xarray.DataArray.squeeze

`DataArray.``squeeze`(dim=None, drop=False, axis=None)

  Return a new object with squeezed data.

  Parameters:

  dim : None or str or tuple of str, optional

  > Selects a subset of the length one dimensions. If a dimension is selected with length greater than one, an error is raised. If None, all length one dimensions are squeezed.

  drop : bool, optional

  > If `drop=True`, drop squeezed coordinates instead of making them scalar.

  axis : int, optional

  > Select the dimension to squeeze. Added for compatibility reasons.

  Returns:

  squeezed : same type as caller

  > This object, but with with all or a subset of the dimensions of length 1 removed.

  See also

  `numpy.squeeze`